<bugID>904109<Summary>Investigate hardcoding the default TabsInToolbar dimensions and only computing them if the font, theme, or DPI are non-default</Summary><Description>We do some computations in TabsInTitlebar._update that we suspect are the full cause for a reflow. If we hardcode these values we might be able to remove the reflow in the default case, and fall back to computing these values if the font or DPI are non-default.

Simple try push without the fallback code implemented:
https://tbpl.mozilla.org/?tree=Try&amp;rev=551a2e2745de

Baseline:
https://tbpl.mozilla.org/?tree=UX&amp;rev=b51d299fc3be</Description></bugID>